package org.jeecg.pm.hikvision.sdk.request;

import org.jeecg.pm.hikvision.sdk.entity.body.HikvisionBodyModel;
import org.jeecg.pm.hikvision.sdk.entity.query.HikvisionQueryModel;
import org.jeecg.pm.hikvision.sdk.response.HikvisionResponse;
import org.jeecg.pm.hikvision.sdk.result.HikvisionBaseResult;

import java.util.Map;

/**
 * @author: JJww
 * @Date:2022/3/21
 */
public abstract class HikvisionAbstractRequest<T extends HikvisionResponse<R>, R extends HikvisionBaseResult> implements HikvisionRequest<T, R> {

    @Override
    public Map<String, String> getHeaders() {
        return null;
    }

    @Override
    public HikvisionBodyModel getModel() {
        return null;
    }

    @Override
    public void setModel(HikvisionBodyModel model) {

    }

    @Override
    public HikvisionQueryModel getQuery() {
        return null;
    }

    @Override
    public void setQuery(HikvisionQueryModel query) {

    }
}
